Bug 1566533 - pacemaker can get in a state where a remote is unable to connect to the cluster [rhel-7.5.z]
Summary: pacemaker can get in a state where a remote is unable to connect to the clust...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pacemaker
Version: 7.5
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: 7.5
Assignee: Ken Gaillot
QA Contact: pkomarov
Marc Muehlfeld
URL:
Whiteboard:
Depends On: 1565187
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 13:26 UTC by Oneata Mircea Teodor
Modified: 2018-07-03 14:46 UTC (History)
9 users (show)

Fixed In Version: pacemaker-1.1.18-11.el7_5.1
Doc Type: Bug Fix
Doc Text:
In certain situations, Pacemaker cleared the fail counter of a remote node before the node was successfully fenced. Thus, a subsequent reconnect failed when the attempt was tried between error cleaning and the actual fencing. A very low value set in the reconnect_interval option increased the chance of this situation. Consequently, Pacemaker was unable to reconnect to the remote host. With this update, Pacemaker now delays resource failure time outs until pending fencing actions are completed. As a result, the described scenario no longer appears and remote nodes are correctly recovered.
Clone Of: 1565187
Environment:
Last Closed: 2018-05-14 16:13:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3515581 0 None None None 2018-07-03 14:46:29 UTC
Red Hat Product Errata RHBA-2018:1404 0 None None None 2018-05-14 16:13:20 UTC

Description Oneata Mircea Teodor 2018-04-12 13:26:10 UTC
This bug has been copied from bug #1565187 and has been proposed to be backported to 7.5 z-stream (EUS).

Comment 5 pkomarov 2018-04-24 10:51:47 UTC
Verified , 

Tested cluster integrity on all nodes after compute failover

environment details : 

pacemaker-libs-1.1.18-11.el7.x86_64

osp13 core_puddle_version:2018-04-19.2

With instance-ha deployed .

Comment 8 errata-xmlrpc 2018-05-14 16:13:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1404


Note You need to log in before you can comment on or make changes to this bug.